package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO struct {
	/*
	   是否是主单 1-是;0-不是     */
	IsMain *int64 `json:"is_main,omitempty" `

	/*
	   是否是子单 1-是;0-不是     */
	IsDetail *int64 `json:"is_detail,omitempty" `

	/*
	   外部子单号     */
	OutSubOrderId *string `json:"out_sub_order_id,omitempty" `

	/*
	   后端商品编码     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   前端商品id     */
	AuctionId *int64 `json:"auction_id,omitempty" `

	/*
	   前端商品名称     */
	AuctionTitle *string `json:"auction_title,omitempty" `

	/*
	   商品单价     */
	SalePrice *int64 `json:"sale_price,omitempty" `

	/*
	   销售单位购买数量     */
	SaleQuantity *int64 `json:"sale_quantity,omitempty" `

	/*
	   销售单位     */
	SaleUnit *string `json:"sale_unit,omitempty" `

	/*
	   库存单位购买数量     */
	StockQuantity *string `json:"stock_quantity,omitempty" `

	/*
	   库存单位     */
	StockUnit *string `json:"stock_unit,omitempty" `

	/*
	   原价     */
	OriginFee *int64 `json:"origin_fee,omitempty" `

	/*
	   支付金额     */
	PayFee *int64 `json:"pay_fee,omitempty" `

	/*
	   优惠金额     */
	DiscountFee *int64 `json:"discount_fee,omitempty" `

	/*
	   业务类型 2-表示生鲜门店;3-表示B2C     */
	BusinessType *int64 `json:"business_type,omitempty" `

	/*
	   子业务类型     */
	SubBusinessType *int64 `json:"sub_business_type,omitempty" `

	/*
	   创单时间     */
	OrderCreateTime *util.LocalTime `json:"order_create_time,omitempty" `

	/*
	   卖家id     */
	SellerId *int64 `json:"seller_id,omitempty" `

	/*
	   卖家昵称     */
	SellerNick *string `json:"seller_nick,omitempty" `

	/*
	   订单来源     */
	OrderFrom *int64 `json:"order_from,omitempty" `

	/*
	   订单来源     */
	OrderSource *string `json:"order_source,omitempty" `

	/*
	   下单终端     */
	OrderTerminal *string `json:"order_terminal,omitempty" `

	/*
	   订单渠道 2-表示线上;3-表示线下     */
	OrderChannel *int64 `json:"order_channel,omitempty" `

	/*
	   配送类型 1-表示预约配送;2-表示现场购买     */
	DeliverType *int64 `json:"deliver_type,omitempty" `

	/*
	   送达类型 1-表示及时达;2-表示定时达;3-表示极速达;4-表示无需配送     */
	ArriveType *int64 `json:"arrive_type,omitempty" `

	/*
	   渠道店     */
	ShopId *string `json:"shop_id,omitempty" `

	/*
	   经营店id     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   订单状态     */
	OrderStatus *int64 `json:"order_status,omitempty" `

	/*
	   支付时间     */
	PayTime *util.LocalTime `json:"pay_time,omitempty" `

	/*
	   期望送达时间     */
	ExpectArriveTime *string `json:"expect_arrive_time,omitempty" `

	/*
	   运费(分为单位)     */
	PostFee *int64 `json:"post_fee,omitempty" `

	/*
	   打包费(分为单位)     */
	PackageFee *int64 `json:"package_fee,omitempty" `

	/*
	   平台折扣费(分为单位)     */
	PlatformDiscountFee *int64 `json:"platform_discount_fee,omitempty" `

	/*
	   商家折扣费(分为单位)     */
	MerchantDiscountFee *int64 `json:"merchant_discount_fee,omitempty" `

	/*
	   买家id     */
	UserId *int64 `json:"user_id,omitempty" `

	/*
	   买家昵称     */
	UserNick *string `json:"user_nick,omitempty" `

	/*
	   收货人名字     */
	Name *string `json:"name,omitempty" `

	/*
	   收货人电话     */
	Phone *string `json:"phone,omitempty" `

	/*
	   收货人地址     */
	Address *string `json:"address,omitempty" `

	/*
	   poi经纬度     */
	Geo *string `json:"geo,omitempty" `
}

func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetIsMain(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.IsMain = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetIsDetail(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.IsDetail = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetOutSubOrderId(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.OutSubOrderId = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetSkuCode(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetAuctionId(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.AuctionId = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetAuctionTitle(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.AuctionTitle = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetSalePrice(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.SalePrice = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetSaleQuantity(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.SaleQuantity = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetSaleUnit(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.SaleUnit = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetStockQuantity(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.StockQuantity = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetStockUnit(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.StockUnit = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetOriginFee(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.OriginFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetPayFee(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.PayFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetDiscountFee(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.DiscountFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetBusinessType(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.BusinessType = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetSubBusinessType(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.SubBusinessType = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetOrderCreateTime(v util.LocalTime) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.OrderCreateTime = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetSellerId(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.SellerId = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetSellerNick(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.SellerNick = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetOrderFrom(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.OrderFrom = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetOrderSource(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.OrderSource = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetOrderTerminal(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.OrderTerminal = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetOrderChannel(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.OrderChannel = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetDeliverType(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.DeliverType = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetArriveType(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.ArriveType = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetShopId(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.ShopId = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetStoreId(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetOrderStatus(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.OrderStatus = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetPayTime(v util.LocalTime) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.PayTime = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetExpectArriveTime(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.ExpectArriveTime = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetPostFee(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.PostFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetPackageFee(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.PackageFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetPlatformDiscountFee(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.PlatformDiscountFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetMerchantDiscountFee(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.MerchantDiscountFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetUserId(v int64) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.UserId = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetUserNick(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.UserNick = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetName(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.Name = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetPhone(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.Phone = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetAddress(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.Address = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO) SetGeo(v string) *AlibabaWdkTradeOrderSuccessCreateOrderDeliveryBO {
	s.Geo = &v
	return s
}
